Journal possesseurs d'ATI demandés

Posté par .
Tags : aucun
0
23
mai
2006
Bonjour,
Je cherche quelques bonnes âmes pour faire un petit test si vous possédez une carte ATI, et utilisez les drivers propriétaires fglrx avec une version supérieure ou égale à 8.22.x
Je suis dans ce cas, et j'ai des saccades à Stepmania (http://www.stepmania.com/) aussi bien dans le menu du jeu (peu perceptibles) que pendant le jeu même (très gênantes) : les flèches montent avec des saccades aléatoires, empêchant toute synchronisation correcte des pas/touches avec la musique.

Si vous avez le même problème que moi, s'il vous plaît informez-moi, ça permettrait de confirmer le bug.
Voici un lien rapide vers le binaire Linux de la dernière version stable de Stepmania : http://ovh.dl.sourceforge.net/sourceforge/stepmania/StepMani(...)
Et voici un lien vers un paquet de quelques musiques pour tester le jeu : http://www.stepmania.com/mirror.php?file=downloads/Songs_DJM(...)
Les dossiers des musiques doivent être placés dans le dossier Songs du jeu.

Ma config : Pentium M 2Ghz, ATI X700 128Mo, 1024MO DDR2, Linux Ubuntu Dapper (Gnome, Xorg 7.0)

Merci d'avance.

PS : je ne peux pas downgrader les drivers à une version antérieure à 8.22 sous ma Dapper car ça fait planter les applis 3D (peut-être à cause de Xorg 7.0 ?), j'ai pu tester avec une Knoppix (LiveCD) et les drivers 8.21.x (installation à la volée !) et là je n'avais pas de saccade. En gros, je n'ai pas trouvé de solution pour jouer correctement à ce jeu sur mon ordi.
  • # drivers radeon ?

    Posté par . Évalué à 2.

    As-tu essayé ce que cela donnait sans les drivers proprio ?

    "La première sécurité est la liberté"

    • [^] # Re: drivers radeon ?

      Posté par (page perso) . Évalué à 2.

      euh ... il précise sa carte graphique, et comme c'est une carte récente, les pilotes libres ne gère pas la 3D pour sa carte ... donc sans pilote ATI pas de 3D, pas de jeux, pas de soucis !!! ;)

      Au fait Xorg 7.1 vient de sortir ... http://ftp.x.org/pub/X11R7.1/doc/RELNOTES.html
      peux être qu'une résolution est envisageable dans un avenir proche avec la mise à jour !
      • [^] # Re: drivers radeon ?

        Posté par . Évalué à 1.

        En effet les pilotes libres ne gèrent pas l'accélération 3D pour ma carte.
        Si Xorg est lié au problème, en effet une solution serait de le faire évoluer, mais si la mise à jour n'est pas intégrée à Dapper, je me vois mal le faire à la main.
        • [^] # Re: drivers radeon ?

          Posté par (page perso) . Évalué à 1.

          Putain mais y a des drivers qui le gerent et qui marchent (c'est pas ce qu'ils disent),je connais qqu avec une x(6/7/8)00 (je sais plus trop) sur un portable avec une dapper en driver libre, voir:
          http://r300.sourceforge.net/r300_dri.php
          • [^] # Re: drivers radeon ?

            Posté par . Évalué à 3.

            Merci pour l'info, restons polis tout de même... je vais essayer de les faire marcher avec ma Dapper et posterai ici mes résultats.
            • [^] # Re: drivers radeon ?

              Posté par . Évalué à 4.

              Hum, je viens de voir la démarche et il est hors de question de me lancer là-dedans.
              Les drivers sont complètement expérimentaux (crashs, déterioration du matériel, pertes de données, ... sont à prévoir) et surtout il faut installer Xorg et Mesa à partir des sources, une fois patchées par le CVS du r300... je n'ai pas envie de passer un temps fou et de tout casser dans ma Dapper pour tenter de faire marcher ces drivers expérimentaux.
              • [^] # Re: drivers radeon ?

                Posté par (page perso) . Évalué à 1.

                comme prendre les snapshots dispos ici:
                http://dri.freedesktop.org/snapshots/
                ?
                :)

                Vive le DRI! :)
                • [^] # Re: drivers radeon ?

                  Posté par . Évalué à 1.

                  Merci pour le lien !
                  Je viens de faire un premier test, mais ce n'est pas concluant, le lancement de Xorg fini en écran noir (j'ai bien un Option MonitorLayout... qui marche avec la version stable des drivers), je ne peux même plus revenir à la console, mais le reboot marche :-/
                  Le log de Xorg se termine peu après un :
                  (EE) RADEON: Failed to load module "theatre_detect" (module does not exist, 0)
                  (EE) RADEON(0): Unable to load Rage Theatre detect module


                  Je ne crois pas avoir besoin de ce theatre_detect, mais il essaie quand même de le charger.

                  Lors de l'exécution du script d'installation des modules/drivers common et r300, j'ai dû changer les dossiers de destination, car dans Dapper les modules Xorg sont dans /usr/lib/xorg/modules ; les libs dans /usr/lib. Mais apparemment ça n'a pas suffit...
                  Je vais tenter de pousser un peu plus loin.
            • [^] # Re: drivers radeon ?

              Posté par (page perso) . Évalué à 2.

              Désolé pour l'impoli mais ca fait la XXXieme fois que je vois que les drivers libres sont pouris sans la 3D
              Bon sinon pour la démarche je crois que dois y avoir des moyens plus simples (connaissant celui que je connais qui l'utilise je doute qu'il faille recompiler Mesa ou xorg)
      • [^] # Re: drivers radeon ?

        Posté par (page perso) . Évalué à 1.

        je doute que dapper passe en 7.1 avant sa release :)
  • # confirmé

    Posté par (page perso) . Évalué à 3.

    Exactement le même problème ici (memes drivers, memes symptomes). En réduisant à mort la résolution, ca passe, mais bon ...

    Tu as signalé un bug qqpart ?
    • [^] # Re: confirmé

      Posté par . Évalué à 1.

      Oui, voici mon post sur le forum d'Ubuntu : http://www.ubuntuforums.org/showthread.php?t=174630
      Dans ce dernier je donne les liens vers les bugs que j'ai déposé (chez Ubuntu, chez Stepmania, et chez ATI (mais pas de lien là)), et vers les différents posts que j'ai fait à ce sujet sur les principaux forums de DDR.
      Je viens aussi d'ouvrir un thread sur le forum de the Linux Game Tome.

      Stp, ajoute un commentaire sur les dépôts de bugs Ubuntu et Stepmania afin de confirmer le bug. Merci.
  • # Commentaire supprimé

    Posté par . Évalué à 3.

    Ce commentaire a été supprimé par l'équipe de modération.

    • [^] # Re: les drivers ATI sont completement pourris

      Posté par . Évalué à 1.

      J'ai bien conscience de la qualité des drivers ATI, mais à l'époque où j'ai acheté mon portable, les cartes nvidia mobility étaient soit très peu performantes, soit extrèmement chères, donc pas vraiment le choix pour ce que je recherchais.

      Pour ATI, j'ai déjà déposé le bug... (compte, ticket, ...)

      Ce qui est étrange c'est que c'est le seul jeu qui me fait de telles saccades, et c'est loin d'être le plus gourmand.
      J'ai testé comme jeux 3D par exemple : UT2004, Neverball, Glest, Nexuiz, ppracer, Torcs, Slune, Morrowind (cedega) et tous marchent très bien, pas de saccade...
  • # Drivers proprio avec Xorg 7.0 ???

    Posté par (page perso) . Évalué à 2.

    Je m'interroge, là...

    Tu semble dire que les drivers proprio fonctionnent avec Xorg 7.0 ? Pourtant, sur le site d'ATI, il est dit que la dernière version de drivers ne tournent qu'avec Xorg 6.8 ?

    Attend, je cherche l'url... Voilà : https://support.ati.com/ics/support/KBAnswer.asp?questionID=(...)

    J'avais du abandonner les drivers proprio en septembre/octobre 2005 lorsque je suis passé à Mandriva 2006.0, et je suis resté sans 3D jusqu'au jour où je me suis aperçu que les drivers libre fonctionnent avec ma Radeon8500 ;-). Certes, ils rament dans certaines circonstances (Un fonction qui n'est pas implémentée et traitée en soft par le processeur central ?) - par exemple dans Enemy Territory lorsqu'il y a de l'eau - mais sinon ils sont aussi rapides que les proprio.

    Ceci dit, si quelqu'un sait si les drivers ATI proprio fonctionnent avec Xorg 6.9, je suis preneur.

    Quoi ? Hein ?
    Oui, sapussaipaslibre. Jeussé.
    • [^] # Re: Drivers proprio avec Xorg 7.0 ???

      Posté par . Évalué à 2.

      J'utilise le package xserver-xorg 7.0.0-0-ubuntu44 sous ma ubuntu dapper, et j'utilise les derniers drivers propriétaires ATI sans problème. ( Nexuiz/Tremulous tourne sans problème )
    • [^] # Re: Drivers proprio avec Xorg 7.0 ???

      Posté par . Évalué à 2.

      Oui, les drivers proprios fonctionnent avec Xorg 7.0, j'ai juste quelques saccades avec Stepmania, les autres jeux tournent nikel.
    • [^] # Re: Drivers proprio avec Xorg 7.0 ???

      Posté par (page perso) . Évalué à 2.

      Ben ??? Là, vous me trouez, les mecs !

      Bon, je vais voir, je reviens.
      • [^] # Re: Drivers proprio avec Xorg 7.0 ???

        Posté par (page perso) . Évalué à 2.

        Bon, j'aurais mieux fait de ma taire : Je n'ai plus de 3d (Direct Rendering : No) !!!

        Essayé l'installeur d'ATI : Marche pas, mais se termine correctement comme si de rien n'était !

        Essayé les drivers proprio compilés à la mano : Raté (Il faut les sources du noyau, installer le noyau qui va avec - J'avais un 2.6.12-12 mais maintenant les sources Mandriva sont celles du 2.6.12-24 - tricher avec le version du noyau - lancer make.sh - se prendre un rateau... etc. Noyau trop patché ?)

        Essayé en compilant le noyau 2.6.12-24 de chez Mandriva : 1 heure de perdue, car ensuite le driver compile mais plante la machine ( :-O )

        Essayé le driver proprio qui s'installe tout seul de chez PLF : Nacache bonnot, il parait réussir, le module se charge mais on reste en Indirect Rendering !

        Les trois heures de tentatives en essayant bien sûr "aticonfig", "X -configure", reprise de la sauvegarde d'xorg.conf et modif manuelle, etc... _a_chaque_essai_ !

        La mort dans l'âme, je me félicite d'avoir sauvegardé mon xorg.conf qui fonctionne avec le driver libre : Je le restaure, reboote qur le noyau 2.6.12-12 que j'utilisais juste avant, et...

        Dur. Plus de 3d.
        Tant pis, j'en avais marre de jouer à ET et Tremulous... >-(


        Si quelqu'un a une idée de la cause de ce disfonctionnement, à vot'bon coeur...
        • [^] # Re: Drivers proprio avec Xorg 7.0 ???

          Posté par . Évalué à 2.

          J'avais un problème similaire au début.

          En fait le système utilisait l'OpenGL Mesa au lieu de celui fournit avec les drivers ATI.
          En esperant ne pas trop m'avancer, il me semble que ce problème venait de la nouvelle architecture ( dossiers d'installations ) de Xorg.
          Je ne peux malheureusement pas t'en dire plus car je rencontrais ce problème sous ubuntu et non sous mandriva ( si je me souviens bien, il m'a suffit d'installer un paquetage supplémentaire 'linux-restricted-modules' et maintenant ça marche )
          Bonne chance
        • [^] # Re: Drivers proprio avec Xorg 7.0 ???

          Posté par . Évalué à 2.

          Les raisons peuvent être nombreuses hélas.
          Il faut scrutter /var/log/Xorg.0.log à la recherche d'un warning suspect, vérifier les chemins et versions des libs libGL*, la présence du module noyau fglrx, les chemins des sous dossiers Xorg (dri, modules, ...), ...

          Poste-moi les warning de ton log Xorg je pourrais peut-être t'aider.
          • [^] # Re: Drivers proprio avec Xorg 7.0 ???

            Posté par (page perso) . Évalué à 2.

            Oui, je vais regarder ça.

            Mais je tiens à (re-)préciser : J'utilisais avec succès le driver _libre_ ATI depuis des mois, et après mes essais d'hier, je me suis bien sûr rabattu dessus, en restaurant mon bon vieux xorg.conf !

            Le problème ne vient donc pas de xorg.conf, puisque celui-ci fonctionnait 3 heures auparavant. Alors, qu'est-ce qui a pû changer ? J'ai même gardé le même noyau !
            • [^] # Re: Drivers proprio avec Xorg 7.0 ???

              Posté par . Évalué à 2.

              Pareil, aprés avoir fait joujou avec le driver proprio, je me suis retrouvé sans 3d avec le driver libre. Cela venait du chargement d'une mauvaise libGL, si je me souviens bien, j'ai juste commenté "/usr/lib/ati" dans /etc/ld.so.conf.d/ati-xorg.conf. Bon maintenant, comme j'ai aussi fait joujou avec Mesa, les snapshot DRI et je-ne-sais-quoi-encore je suis obligé de faire du LD_PRELOAD=/usr/X11R6/lib/libGL.so.1.2 pour certaines applications. En espérant que cela t'aide.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.